Hardware Locality (hwloc) 1.5.1

- Main Page
- Related Pages
- Modules
- Data Structures

Functions
CUDA Driver API Specific Functions

## Functions

static inline int | hwloc_cuda_get_device_pci_ids (hwloc_topology_t topology , CUdevice cudevice, int *domain, int *bus, int *dev)
static inline int | hwloc_cuda_get_device_cpuset (hwloc_topology_t topology , CUdevice cudevice, hwloc_cpuset_t set)
static inline hwloc_obj_t | hwloc_cuda_get_device_pcidev (hwloc_topology_t topology, CUdevice cudevice)

## Detailed Description

## Function Documentation

static inline int hwloc_cuda_get_device_cpuset | ( | hwloc_topology_t topology | ,
|  | CUdevice | cudevice,
|  | hwloc_cpuset_t | set
| ) |  |

static

Get the CPU set of logical processors that are physically close to device `cudevice`.

For the given CUDA Driver API device `cudevice`, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.

Topology `topology` must match the current machine.

static inline int hwloc_cuda_get_device_pci_ids | ( | hwloc_topology_t topology | ,
|  | CUdevice | cudevice,
|  | int * | domain,
|  | int * | bus,
|  | int * | dev
| ) |  |

static

Return the domain, bus and device IDs of device `cudevice`.

static inline hwloc_obj_t hwloc_cuda_get_device_pcidev | ( | hwloc_topology_t | topology,
|  | CUdevice | cudevice
| ) |  |

static

Get the hwloc object for the PCI device corresponding to device `cudevice`.

For the given CUDA Runtime API device `cudevice`, return the hwloc PCI object containing the device. Returns NULL if there is none.

IO devices detection must be enabled in topology `topology`.